mixed-port: 7890
allow-lan: true
external-controller: 0.0.0.0:9090
hosts:
  #'*.t2.com': 10.10.1.191
  't2.com': 10.10.1.191

proxy-providers:
  # YToo:
  #   type: http
  #   url: 'https://api.stentvessel.top/sub?target=clash&new_name=true&emoji=true&clash.doh=true&filename=YToo_SS&udp=true&url=https%3A%2F%2Fapi.ytoo.xyz%2Fosubscribe.php%3Fsid%3D51505%26token%3D71Te6AM9Piqu%26sip002%3D1'
  #   path: ./proxy_providers/YToo.yaml
  #   interval: 86400
  #   filter: 日用
  #   health-check:
  #     enable: true
  #     url: http://www.gstatic.com/generate_204
  #     interval: 600
  cshjc:
    type: http
    url: 'https://cshjc.xz61.cn/api/v1/client/subscribe?token=bb0e35f17a814b05e4ecd7e51b7e66e1'
    path: ./proxy_providers/cshjc.yaml
    interval: 86400
    exclude-filter: 剩余流量|距离下次重置|套餐到期|使用前请点击|倍率是流量消耗快慢|EMBY
    health-check:
      enable: true
      url: http://www.gstatic.com/generate_204
      interval: 120
  luxury:
    type: http
    url: 'https://link.x.luxury/link/ZHxMoUnuHIYib2eE?clash=2'
    path: ./proxy_providers/luxury.yaml
    interval: 86400
    filter: I+.|I.
    health-check:
      enable: true
      url: http://www.gstatic.com/generate_204
      interval: 300

proxy-groups:
  - name: Proxy
    type: select
    use:
      # - YToo
      - cshjc
      - luxury
    proxies:
      - Auto
      - load-balance
      - Ai
      - DIRECT

  - name: Others
    type: select
    proxies:
      - DIRECT
      - Proxy

  - name: Auto
    type: url-test
    use:
      # - YToo
      - cshjc
      - luxury

  - name: 'load-balance'
    type: load-balance
    use:
      # - YToo
      - cshjc
      - luxury
    strategy: consistent-hashing
    
  - name: Ai
    type: url-test
    use:
      - cshjc

rule-providers:
  reject:
    type: http
    behavior: domain
    url: "https://cdn.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/reject.txt"
    path: ./ruleset/reject.yaml
    interval: 86400

  icloud:
    type: http
    behavior: domain
    url: "https://cdn.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/icloud.txt"
    path: ./ruleset/icloud.yaml
    interval: 86400

  apple:
    type: http
    behavior: domain
    url: "https://cdn.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/apple.txt"
    path: ./ruleset/apple.yaml
    interval: 86400

  google:
    type: http
    behavior: domain
    url: "https://cdn.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/google.txt"
    path: ./ruleset/google.yaml
    interval: 86400

  proxy:
    type: http
    behavior: domain
    url: "https://cdn.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/proxy.txt"
    path: ./ruleset/proxy.yaml
    interval: 86400

  direct:
    type: http
    behavior: domain
    url: "https://cdn.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/direct.txt"
    path: ./ruleset/direct.yaml
    interval: 86400

  private:
    type: http
    behavior: domain
    url: "https://cdn.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/private.txt"
    path: ./ruleset/private.yaml
    interval: 86400

  gfw:
    type: http
    behavior: domain
    url: "https://cdn.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/gfw.txt"
    path: ./ruleset/gfw.yaml
    interval: 86400

  tld-not-cn:
    type: http
    behavior: domain
    url: "https://cdn.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/tld-not-cn.txt"
    path: ./ruleset/tld-not-cn.yaml
    interval: 86400

  telegramcidr:
    type: http
    behavior: ipcidr
    url: "https://cdn.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/telegramcidr.txt"
    path: ./ruleset/telegramcidr.yaml
    interval: 86400

  cncidr:
    type: http
    behavior: ipcidr
    url: "https://cdn.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/cncidr.txt"
    path: ./ruleset/cncidr.yaml
    interval: 86400

  lancidr:
    type: http
    behavior: ipcidr
    url: "https://cdn.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/lancidr.txt"
    path: ./ruleset/lancidr.yaml
    interval: 86400
  applications:
    type: http
    behavior: classical
    url: "https://cdn.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/applications.txt"
    path: ./ruleset/applications.yaml
    interval: 86400
rules:
  #- PROCESS-NAME,clash,REJECT # 解决回环小妙招
  - DOMAIN-SUFFIX,googleapis.cn,Proxy # 解决谷歌商店安装等待中
  #- PROCESS-NAME,electron.exe,Proxy #emby客户端
  #- PROCESS-NAME,chrome.exe,DIRECT #屏蔽专用浏览器
  - PROCESS-NAME,steam.exe,DIRECT
  - PROCESS-NAME,qbittorrent.exe,DIRECT
  - PROCESS-NAME,aria2c,DIRECT
  - DOMAIN-SUFFIX,googlevideo.com,Proxy #油管走日用
  - DOMAIN-SUFFIX,konami.net,DIRECT #大师决斗直联
  - DOMAIN-SUFFIX,nintendo.net,Proxy #任天堂下载走日用
  - DOMAIN-SUFFIX,ad.qq.com,DIRECT #广点通直联
  - DOMAIN-SUFFIX,bing.com,DIRECT #必应搜索直联
  - DOMAIN-SUFFIX,chatgpt.com,Ai
  #- RULE-SET,applications,DIRECT
  #- DOMAIN,clash.razord.top,DIRECT
  #- DOMAIN,yacd.haishan.me,DIRECT
  - RULE-SET,private,DIRECT
  #- RULE-SET,reject,REJECT
  - RULE-SET,icloud,DIRECT
  - RULE-SET,apple,DIRECT
  - RULE-SET,direct,DIRECT
  - RULE-SET,lancidr,DIRECT
  - RULE-SET,cncidr,DIRECT
  - RULE-SET,proxy,Proxy
  - RULE-SET,gfw,Proxy
  - RULE-SET,telegramcidr,Proxy
  - GEOIP,LAN,DIRECT
  - GEOIP,CN,DIRECT
  - MATCH,Others
